Foreman - Bug #14511

Current bookmark query is not populated when editing a bookmark
04/06/2016 02:49 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Web Interface
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1324484 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3401
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1324484

Description of problem:

When editing an existing bookmark, 'Search query' textarea is empty by default and not set to actual query. This is problematic as
user is forced to retype a query each time he wants to edit a bookmark (e.g. when updating its 'public’ status or name), otherwise
bookmark won't be saved as 'Search query' is required field.

Version-Release number of selected component (if applicable):
Sat6.2 Beta Snap6

How reproducible:
Always

Steps to Reproduce:

1. Navigate to Administer -> Bookmarks
2. Open any existing bookmark

3. Check 'Search query' textarea value

Actual results:
'Search query' is empty, making user re-type it each time he wants to update a bookmark.

Expected results:
'Search query' should be set to current bookmark's query.

Additional info:

Associated revisions

Revision 00804233 - 04/07/2016 09:03 AM - Ohad Levy

fixes #14511 - bookmark editing ensures the query field is populated

Revision 5a03cdb9 - 04/18/2016 01:45 PM - Ohad Levy

fixes #14511 - bookmark editing ensures the query field is populated

(cherry picked from commit 00804233 1ccc6857¢c7c664fe70d43e3985918edc)

History

#1 - 04/07/2016 03:01 AM - Ohad Levy

- Category set to Web Interface

#2 - 04/07/2016 03:32 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ohad Levy
https://bugzilla.redhat.com/show_bug.cgi?id=1324484

- Pull request https://github.com/theforeman/foreman/pull/3401 added

#3 - 04/07/2016 09:05 AM - Ivan Necas

- translation missing: en.field_release set to 141

#4 - 04/07/2016 10:01 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 008042331ccc6857c7c664fe70d43e3985918edc.
